/* Y o u r   D e s c r i p t i o n                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 1.12E */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* Toolkit headers */
#include <Ph.h>
#include <Pt.h>
#include <Ap.h>

/* Local headers */
#include "webbruce.h"
#include "abimport.h"
#include "proto.h"


int
new_url( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )

	{

	PtWebUrlCallback_t *cb = cbinfo->cbdata;
	PtArg_t args[1];

	/* eliminate 'unreferenced' warnings */
	widget = widget, apinfo = apinfo, cbinfo = cbinfo;

	PtSetArg(&args[0],Pt_ARG_TEXT_STRING,cb->url,0);
	PtSetResources(ABW_url_field,1,args);


	return( Pt_CONTINUE );

	}

