/* Y o u r   D e s c r i p t i o n                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 1.12E */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* Toolkit headers */
#include <Ph.h>
#include <Pt.h>
#include <Ap.h>

/* Local headers */
#include "webbruce.h"
#include "abimport.h"
#include "proto.h"


int
change_page( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )

	{
	
	PtTextCallback_t *text_data = cbinfo->cbdata;
	PtArg_t		args[1];
	char 		*url;

	/* eliminate 'unreferenced' warnings */
	widget = widget, apinfo = apinfo, cbinfo = cbinfo;

	if(cbinfo->reason == Pt_CB_ACTIVATE)
		if((cbinfo->reason_subtype == Pt_EDIT_ACTIVATE)&&(text_data->length>0)){
			url=text_data->text;
			PtSetArg(&args[0],Pt_ARG_WEB_GET_URL,url,WWW_ACTION_DISPLAY);
			PtSetResources(ABW_WebClient,1,args);	
		}
	return( Pt_CONTINUE );

	}

