/* Y o u r   D e s c r i p t i o n                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 1.12E */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* Toolkit headers */
#include <Ph.h>
#include <Pt.h>
#include <Ap.h>

/* Local headers */
#include "webbruce.h"
#include "abimport.h"
#include "proto.h"


int
go_forward( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )

	{

	int *nav_dir;
	PtArg_t args[1];

	/* eliminate 'unreferenced' warnings */
	widget = widget, apinfo = apinfo, cbinfo = cbinfo;

	PtSetArg(&args[0],Pt_ARG_WEB_NAVIGATE_PAGE,&nav_dir,0);
	PtGetResources(ABW_WebClient,1,args);
	if(*nav_dir &(1<<WWW_DIRECTION_FWD)){
		PtSetArg(&args[0],Pt_ARG_WEB_NAVIGATE_PAGE,WWW_DIRECTION_FWD,0);
		PtSetResources(ABW_WebClient,1,args);
	}

	return( Pt_CONTINUE );

	}

