/* Y o u r   D e s c r i p t i o n                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 1.12E */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* Toolkit headers */
#include <Ph.h>
#include <Pt.h>
#include <Ap.h>

/* Local headers */
#include "webbruce.h"
#include "abimport.h"
#include "proto.h"


int
handle_error( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )

	{

	PtArg_t	args[1];
	PtWebErrorCallback_t *web_error =cbinfo->cbdata;
	char	buf[1024];

	/* eliminate 'unreferenced' warnings */
	widget = widget, apinfo = apinfo, cbinfo = cbinfo;
	

	sprintf(buf,"error:%d?%s",web_error->reason,web_error->url);
	PtSetArg(&args[0],Pt_ARG_WEB_GET_URL,buf,WWW_ACTION_DISPLAY);
	PtSetResources(widget,1,args);


	return( Pt_CONTINUE );

	}

